summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRémi Cardona <remi@gentoo.org>2008-03-22 09:37:44 +0000
committerRémi Cardona <remi@gentoo.org>2008-03-22 09:37:44 +0000
commit27b843cb91551cb1c0f4b3fbad8343f8b6afecf1 (patch)
tree6db8465e29ddc90979c72510d4f75b736b18c1c8 /eclass/gnome2.eclass
parentamd64 stable wrt #213283 (diff)
downloadgentoo-2-27b843cb91551cb1c0f4b3fbad8343f8b6afecf1.tar.gz
gentoo-2-27b843cb91551cb1c0f4b3fbad8343f8b6afecf1.tar.bz2
gentoo-2-27b843cb91551cb1c0f4b3fbad8343f8b6afecf1.zip
fix gnome2 and xfce44 eclasses (see bug #155993)
Diffstat (limited to 'eclass/gnome2.eclass')
-rw-r--r--eclass/gnome2.eclass14
1 files changed, 10 insertions, 4 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index f720b985d0c8..7cb7c1d8d75b 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.83 2008/02/10 14:47:14 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.84 2008/03/22 09:37:44 remi Exp $
#
# gnome2.eclass
@@ -82,7 +82,7 @@ gnome2_src_install() {
if [[ -z "${USE_EINSTALL}" || "${USE_EINSTALL}" = "0" ]]; then
debug-print "Installing with 'make install'"
- make DESTDIR="${D}" "scrollkeeper_localstate_dir=${D}${sk_tmp_dir} " "$@" install || die "install failed"
+ emake DESTDIR="${D}" "scrollkeeper_localstate_dir=${D}${sk_tmp_dir} " "$@" install || die "install failed"
else
debug-print "Installing with 'einstall'"
einstall "scrollkeeper_localstate_dir=${D}${sk_tmp_dir} " "$@" || die "einstall failed"
@@ -97,7 +97,7 @@ gnome2_src_install() {
# 1. The scrollkeeper database is regenerated at pkg_postinst()
# 2. ${D}/var/lib/scrollkeeper contains only indexes for the current pkg
# thus it makes no sense if pkg_postinst ISN'T run for some reason.
- if [[ -z "$(find ${D} -name '*.omf')" ]]; then
+ if [[ -z "$(find "${D}" -name '*.omf')" ]]; then
export SCROLLKEEPER_UPDATE="0"
fi
rm -rf "${D}${sk_tmp_dir}"
@@ -106,6 +106,11 @@ gnome2_src_install() {
rm -fr "${D}/usr/share/applications/mimeinfo.cache"
}
+gnome2_pkg_preinst() {
+ gnome2_gconf_savelist
+ gnome2_icons_savelist
+}
+
gnome2_pkg_postinst() {
gnome2_gconf_install
fdo-mime_desktop_database_update
@@ -131,4 +136,5 @@ gnome2_pkg_postrm() {
fi
}
-EXPORT_FUNCTIONS src_unpack src_compile src_install pkg_postinst pkg_postrm
+# pkg_prerm
+EXPORT_FUNCTIONS src_unpack src_compile src_install pkg_preinst pkg_postinst pkg_postrm